
Redmine - Defect #4674

Sub-project repository commits not displayed on parent project issues

2010-01-28 08:05 - Jeffrey Jones

Status: Closed Start date: 2010-01-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.2   

Resolution: Fixed Affected version: 0.8.7

Description

I am using a master project with many sub-projects.

Many times I am making fixes and commits to the repositories in the sub-projects to help fix an issue in the master project however

my commits are not displaying in the master project issues when I put something like "Issue #20 - Updated table" where the commit

is in a sub-project and Issue #20 is a master project issue.

I assume the issues only check repositories of the current project for performance reasons but for us it is very important that the

issues display commits from repositories of sub-projects. Perhaps a configuration option?

(These are Git repositories just in case.)

Related issues:

Related to Redmine - Feature #4702: Comment/close tickets from other projects... Closed 2010-01-31

Has duplicate Redmine - Defect #8291: Issued refed/closed by repository commi... Closed 2011-05-04

Associated revisions

Revision 3357 - 2010-01-31 17:25 - Jean-Philippe Lang

Allow commits to reference issues of parent projects and subprojects (#4674).

History

#1 - 2010-01-28 08:07 - Jeffrey Jones

Sorry, meant to log this as a feature, not a defect.

#2 - 2010-01-31 17:45 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.2

- Resolution set to Fixed

Fixed in r3357.

It's not really a defect indeed but what you describe is a common use case so it will be merged for 0.9.2 release.

#3 - 2010-02-07 12:37 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in r3380.

#4 - 2010-10-25 07:51 - Dominik Wild

Is it possible to reference a commit in a subproject's repository from a wiki page?
